$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.4-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '85C5724654B43C08CA58CD2F574593BBCC443D0CB665F0B688A824FB8D2D4C62'
  checksumType = 'sha256'
  checksum64 = '85C5724654B43C08CA58CD2F574593BBCC443D0CB665F0B688A824FB8D2D4C62'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
